Subject: Re: [SWIPL] SWI-Prolog 4.0.6 problem on Solaris 2.6

From: Jan Wielemaker <[email-masked]>
Date: Wed, 6 Jun 2001 17:02:05 +0200

On Wed, 06 Jun 2001, Vincent Manuel Barrilliot wrote:
>Hi,
>
>I am using SWI 4.0.6 on Ultrasparc, Solaris 2.6
>I don't use the interpreter directly, but I make requests from agents in Java using JPL 1.0.1
>The agent platform I use is Jade 2.1. Everything is on network filesystems.
>
>
>So far I am not doing much except making a 'consult' request.
>I could test my code (in JPL) and the requests works all the time perfectly.
>
>When I put the code in a Jade agent, then it works or not, in a pattern I can't figure out.
>When it is not working, SWI complains:
>
>KnowledgeBaseManagerconsult:Trying to load /proj/ppe/PCR/Vincent/Prototype/ProE/PART_SLOT.pl
>KnowledgeBaseManagerconsult:Consultation query is: consult( /proj/ppe/PCR/Vincent/Prototype/ProE/PART_SLOT.pl )
>ERROR: source_sink `'/proj/ppe/PCR/Vincent/Prototype/ProE/PART_SLOT.pl'' does not exist
>
>But I know that the file is there !
>blur:Java(817)% ll /proj/ppe/PCR/Vincent/Prototype/ProE/PART_SLOT.pl
>-rw-r--r--   1 vbarr    ppe         3061 Jun  6 10:19 /proj/ppe/PCR/Vincent/Prototype/ProE/PART_SLOT.pl
>
>So, how come SWI is not finding it sometimes ?
>(yes, the network works perfectly )

Seems you tried most obvious things :-).  I can't think of a good
reason, but maybe there are some things to try.  First of all, does the
same problem occur without Java?  It is unlikely but no strictly
impossible Java upset something.  Second is to run the program under
truss (the Solaris system-call tracer) and see what it tries at the
system level and what errors are returned.  Finally, is it just this
file, any file on this file-system, in this directory or just any file?

	--- Jan